OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000547OMNeT++IDE / result analysispublic2012-03-06 12:592012-03-13 10:35
Reportermichael 
Assigned Torhornig 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.2.1 
Target VersionFixed in Version4.2.2 
Summary0000547: What is wrong with this vector file?
DescriptionFollowing error message for the appended file:

Wrong file: vector file indexer: data line too short, file ...\omnetpp_6.vec,line 2568

Same error on other 2 files which are >= 190kByte (is it the file size?).
TagsNo tags attached.
Attached Files? file icon omnetpp_6.vec [^] (329,658 bytes) 2012-03-06 12:59
? file icon mingw-fseek-patch [^] (635 bytes) 2012-03-13 10:26 [Show Content]

- Relationships

-  Notes
(0000721)
andras (administrator)
2012-03-07 12:31

Looks like we have a wrong build of opplibs.dll (part of the IDE) in version 4.2.1.

You can dowload an updated one from:
http://www.omnetpp.org//download/release/opplibsdll-4.2.1.zip [^]

Needs to be copied into <omnetpp>\ide\plugins\org.omnetpp.ide.nativelibs.win32.x86_4.2.1.120118-94e2a29

It works for me, can you try it out too?
(0000722)
michael (reporter)
2012-03-07 13:13

Mmhh, the error is gone. How can I verify that vector file indexer was running on the files? The directory of error vector files contains also other vector files, for the vector files without error there exists a .vci file (I do not know when these files will be generated by which tool). These .vci files are missing for the vector files which was reported with error above.
(0000723)
andras (administrator)
2012-03-07 14:15

Good! Now, the vci files are originally generated by the simulation program, but the IDE will also generate one if it's missing or out of date. You can see in the Progress View when it's working, it says "Indexing vector files..." or something like that.
(0000724)
michael (reporter)
2012-03-07 14:33

Ok! After creating a new .anf file and drag-and-drop the prev. error vector files into, the .vci files where created. Without new .anf file the .vci files are not created (no success with rebuilding index, refreshing).
(0000725)
andras (administrator)
2012-03-07 14:48

Yes -- you only need the vci file (= vector index) if you want to plot results from the vectors...

The IDE also contains code that indexes vector files in the background, but it's disabled if the "Build automatically" option is turned off (the indexer is technically implemented as a "builder" in Eclipse -- Eclipse calls all those things that react on workspace changes and create other files "builders")
(0000733)
rhornig (administrator)
2012-03-12 14:34
edited on: 2012-03-13 10:26

Resolved with the 9cb212c commit. The file seek API was incorrectly used. One is not supposed to mix fileno and FILE* based API calls.

(0000737)
andras (administrator)
2012-03-13 10:35
edited on: 2012-03-13 10:36

Source patch attached.

This bug affects:
- vector plotting in the IDE Analysis Tool (on Windows)
- opening elog files (Sequence Chart tool) in the IDE (on Windows)
- scavetool (on Windows)

We'll fix this issue in 4.2.2. Until then, replace opplibs.dll with the copy from the URL in the first Note (this fixes the IDE), and apply the source patch (this fixes scavetool).


- Issue History
Date Modified Username Field Change
2012-03-06 12:59 michael New Issue
2012-03-06 12:59 michael File Added: omnetpp_6.vec
2012-03-07 12:31 andras Note Added: 0000721
2012-03-07 13:13 michael Note Added: 0000722
2012-03-07 14:15 andras Note Added: 0000723
2012-03-07 14:33 michael Note Added: 0000724
2012-03-07 14:48 andras Note Added: 0000725
2012-03-12 14:34 rhornig Note Added: 0000733
2012-03-12 14:34 rhornig Status new => resolved
2012-03-12 14:34 rhornig Fixed in Version => 4.2.2
2012-03-12 14:34 rhornig Resolution open => fixed
2012-03-12 14:34 rhornig Assigned To => rhornig
2012-03-13 10:26 andras File Added: mingw-fseek-patch
2012-03-13 10:26 andras Note Edited: 0000733
2012-03-13 10:35 andras Note Added: 0000737
2012-03-13 10:36 andras Note Edited: 0000737


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker